### gamemodes/targeted_rt2 advancement

# raycast
scoreboard players set .range streak 100
tag @s add hitter
execute at @s anchored eyes positioned ^ ^ ^ run function cod:gamemodes/streak/run/raycast/raycast
tag @s remove hitter

# start run
time set midnight
weather thunder
function cod:gamemodes/streak/run/rt/run/start_run

# tp back to pillager
scoreboard players operation .searchId entityId = @s entityId
tag @s add ider
execute as @e[tag=tp,tag=rt,predicate=cod:universal/is_search_id] run function cod:gamemodes/streak/run/tp_pill
effect clear @s levitation
effect clear @s resistance

# notify players
execute if entity @s[team=redTeam] run tellraw @a[team=redTeam] {"text":"\nFriendly B-52 on the way \n","color":"gold"}
execute if entity @s[team=redTeam] run tellraw @a[team=blueTeam] {"text":"\nEnemy B-52 Incoming \n","color":"gold"}
execute if entity @s[team=blueTeam] run tellraw @a[team=blueTeam] {"text":"\nFriendly B-52 on the way \n","color":"gold"}
execute if entity @s[team=blueTeam] run tellraw @a[team=redTeam] {"text":"\nEnemy B-52 Incoming \n","color":"gold"}
tellraw @s[team=] {"text":"\nFriendly B-52 on the way \n","color":"gold"}
execute if entity @s[team=] run tellraw @a[gamemode=adventure,tag=!ider] {"text":"\nEnemy B-52 Incoming \n","color":"gold"}

# update tags
tag @s remove ider
tag @s remove targeter
tag @s remove rt

# revoke advancement
recipe take @s cod:gamemodes/streak/rt_tar2
advancement revoke @s only cod:gamemodes/streak/targeted/targeted_rt2