### gamemodes/countdown_game

# set gameRunning to 1
scoreboard players set .countdown bookKeeping -1
scoreboard players set .gameRunning bookKeeping 1

# initiate timer
execute if score .timer bookKeeping matches 1.. run function cod:gamemodes/timer/start_timer

# initalize gamemode functions
execute if score .gamemode bookKeeping matches 1 run function cod:gamemodes/team_deathmatch/start_tdm
execute if score .gamemode bookKeeping matches 2 run function cod:gamemodes/free_for_all/start_ffa
execute if score .gamemode bookKeeping matches 3 run function cod:gamemodes/kill_confirmed/start_kc
execute if score .gamemode bookKeeping matches 4 run function cod:gamemodes/domination/start_dom
execute if score .gamemode bookKeeping matches 5 run function cod:gamemodes/capture_the_flag/start_ctf
execute if score .gamemode bookKeeping matches 6 run function cod:gamemodes/hardpoint/start_hp
execute if score .gamemode bookKeeping matches 7 run function cod:gamemodes/headquarters/start_hq
execute if score .gamemode bookKeeping matches 8 run function cod:gamemodes/search_and_destroy/start_snd
execute if score .gamemode bookKeeping matches 9 run function cod:gamemodes/gun_game/start_gg
execute if score .gamemode bookKeeping matches 10 run function cod:gamemodes/one_in_the_chamber/start_oic
execute if score .gamemode bookKeeping matches 11 run function cod:gamemodes/sticks_and_stones/start_sns
execute if score .gamemode bookKeeping matches 12 run function cod:gamemodes/sharpshooter/start_ss

# set display scoreboards
scoreboard objectives setdisplay sidebar score
execute unless score .gamemode bookKeeping matches 8 run scoreboard players reset @a killCount
execute unless score .gamemode bookKeeping matches 8 run scoreboard players reset @a killStreak

# initiate game options
execute if score .radar bookKeeping matches 1..2 run schedule function cod:gamemodes/radar/radar_on 1s
execute if score .regen bookKeeping matches 1 run effect give @a regeneration 1000000 2 true
execute if score .prone bookKeeping matches 1 as @a run function cod:gamemodes/prone/reset_prone
execute if score .streak bookKeeping matches 1 as @a[scores={streakTot=1..3}] run function cod:gamemodes/streak/setup/start_streak
execute if score .streak bookKeeping matches 1 run scoreboard players set @a[scores={streakTot=..0}] streak 1

# initiate guns
tag @a[gamemode=adventure] add gunner
execute as @a run function cod:guns/reset_gun
effect clear @a resistance
effect give @a[gamemode=adventure] wither 1 1 true
effect give @a[gamemode=adventure] regeneration 1 2 true

# set respawn points
schedule function cod:gamemodes/respawn/start_respawn 1s
execute at @e[type=marker,tag=hub] run spawnpoint @a ~ ~ ~ ~180
execute at @e[type=marker,tag=hub] run setworldspawn ~ ~ ~ ~180

# stop standby functions
schedule clear cod:universal/standby